Name: libbonobo
Version: 2.2.0
Release: alt1

Summary: Bonobo component system
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org
Source: %name-%version.tar.bz2

Packager: Yuri N. Sedunov <aris@altlinux.ru>

%define libxml2_ver 2.4.28
%define orbit2_ver 2.5.0
%define bonobo_activation_ver 2.2.0
%define linc_ver 1.0.1
%define intltool_ver 0.25
%define gtk_doc_ver 0.10

BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: ORBit2-devel >= %orbit2_ver
BuildPreReq: bonobo-activation-devel >= %bonobo_activation_ver
BuildPreReq: liblinc-devel >= %linc_ver
BuildPreReq: intltool >= %intltool_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver

# Automatically added by buildreq on Mon Jan 20 2003
BuildRequires: ORBit2-devel XFree86-utils bonobo-activation-devel docbook-dtds docbook-style-xsl glib2-devel glibc-devel-static gtk-doc indent libIDL liblinc-devel libpopt-devel libssl-devel libxslt pkgconfig xml-common xsltproc

%description
Bonobo is a component system based on CORBA, used by the GNOME desktop.

%package -n %{name}2
Summary: Bonobo component system
Group: System/Libraries

%description -n %{name}2
Bonobo is a component system based on CORBA, used by the GNOME desktop.

%package -n %{name}2-devel
Summary: Libraries and headers for libbonobo
Group: Development/GNOME and GTK+
Requires: %{name}2 = %version-%release
Requires: bonobo-activation-devel >= %bonobo_activation_ver
Requires: ORBit2-devel >= %orbit2_ver
Requires: libxml2-devel >= %libxml2_ver
Requires: liblinc-devel >= %linc_ver
Conflicts: bonobo-devel < 1.0.8

%description -n %{name}2-devel
Bonobo is a component system based on CORBA, used by the GNOME desktop.
This package contains header files used to compile programs that
use Bonobo.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%configure --disable-static
%make

%install
%make_install DESTDIR=%buildroot \
	LIBRARY_PATH=%buildroot%_libdir install

%find_lang %name-2.0

%post -n %{name}2 -p %post_ldconfig
%postun -n %{name}2 -p %postun_ldconfig

%files -n %{name}2 -f %name-2.0.lang
%_libdir/*.so.*
%dir %_libdir/bonobo/servers
%_libdir/bonobo/servers/*
%dir %_libdir/bonobo/monikers
%_libdir/bonobo/monikers/*.so
%_libdir/orbit-*/*.so
%_datadir/idl/*
%doc AUTHORS ChangeLog NEWS README

%files -n %{name}2-devel
%_bindir/*
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%_libdir/bonobo/monikers/*.la
%dir %_libdir/bonobo-2.0
%_libdir/bonobo-*/samples/*
%_libdir/orbit-*/*.la
%_libdir/pkgconfig/*
%doc %_gtk_docdir/*

%changelog
* Mon Jan 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Mon Dec 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.0-alt1.2
- rebuild to move to the files
- fixed URL.
- added packager Tag.
- fixed find_lang (now translations in the package)

* Mon Jun 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
-
- (inger)changed make_build to make

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.117.1-alt1
- 1.117.1

* Tue May 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.117.0-alt1
- 1.117

* Tue May 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.116.0-alt1
- Adopted for Sisyphus.

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.113.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0
- Rebuild for dependencies
- Intltoolize, the included version has problems with our Perl

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- automake-1.4

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- 1.107.0, glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib, new snap

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- move to 1.103.0 tarball
- call automake after patching Makefile.am
- patch for parallel install

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- add some requires

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- conflict with bonobo < 1.0.8 to avoid header conflicts
- update group

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- moved IDL files into subdir
- remove smp_mflags, libbonobo does not like those

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- remove IDL files as temporary hack

* Wed Sep 12 2001 Havoc Pennington <hp@redhat.com>
- Initial build.

